"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Partido = (function () {
    function Partido(nome) {
        this.nome = nome;
        this.nEleitos = 0;
        this.nVotos = 0;
    }
    Partido.prototype.addCandidato = function (candidato) {
        this.nVotos += candidato.nVotos;
        if (candidato.eleito)
            this.nEleitos += 1;
    };
    Partido.prototype.toString = function () {
        return this.nome + ", " + this.nVotos + " votos, " + this.nEleitos + " candidatos eleitos";
    };
    return Partido;
}());
exports.Partido = Partido;
function findPartido(nomePartido, partidos) {
    return partidos.find(function (item) { return item.nome === nomePartido; });
}
exports.findPartido = findPartido;
//# sourceMappingURL=partido.js.map